
struct ebmon
{

  unsigned int l1_protocol;	/* the L1 protocol number */
  unsigned int hlt_protocol;	/* the HLT protocol number */
  unsigned int packing_factor;	/* the MEP packing factor */
  unsigned int number_of_sources;	/* the number of boards */
  unsigned int mep_received;	/* the number of MEP received */
  unsigned int mep_in_queue;	/* the number of MEP kept in the SFC */
  unsigned int events_built;	/* the number of events fully built */
  unsigned int events_in_queue;	/* the number of events waiting in the queue */
  unsigned int events_forwarded;	/* the number of events forwarded */
  unsigned int err_events_dropped;	/* the number of events dropped */
  unsigned int err_ip_id;	/* the number of MEP with a wrong IP identification */
  unsigned int err_short_packet;	/* the number of MEP too short according to length */
  unsigned int err_long_packet;	/* the number of packets to long according to total length */
  unsigned int err_total_len;	/* the number of errors in total length */
  unsigned int err_number_of_fragments;	/* the number of errors in number of fragments */
  unsigned int err_identifier;	/* the number of errors in IP identifier */
  unsigned int err_partition_id;	/* the number of errors in partition ID */
  unsigned int err_fragment_event_id;	/* the number of errors in events ID */
  unsigned int err_fragment_event_length;	/* the number of errors in event length */
  unsigned int err_fragment_parsing;

};

int ebmon_init (int shm_key);

int ebmon_update ();

int ebmon_release ();
